<?php
/* 
Plugin Name: Meine Home
Version: 1.2.2
Plugin URI: http://www.wieser.at/wordpress/plugins
Description: auf der Home Beitragssseite sollen nur die Beiträge der Kategorie Allgemein oder ausgewählten aufgelistet sein
Author: Franz Wieser
Author URI: http://www.wieser.at
Licenc:  GPLv2
*/ 

function meinhome( $query ) {
    if ( $query->is_home() && $query->is_main_query() ) {
        $query->set( 'cat', stripslashes(get_option('fw_meinehome')) );
    }
}
add_action( 'pre_get_posts', 'meinhome' );


function meine_home_plugin_menu()
{
add_menu_page('Meine Home', 'meine Home', 'read', 'meinehome', 'meine_home_option');
}

add_action('admin_menu', 'meine_home_plugin_menu');
function meine_home_option()
{
global $current_user;
   echo '<div class="wrap">';
   echo '<H3>Meine Home Seite</H3>';

if ( $_REQUEST['page'] == 'meinehome' && isset( $_POST['submit'] ) ) {
$meinehome=stripslashes($_POST['meinehome']);

update_option( 'fw_meinehome', $meinehome);

   echo "Eintrag gespeichert<br/>";

   echo "Kontrolle:<br/>";
   $content="CONTENT";
$content=$meinehome;


	       
   echo "<br/>".$content;
   
   
   
									  }
									  
 //  $post_types=get_post_types();									  
//	      echo $post_types;
?>

<form method="post" action="" id="fwmeinehome" class="validate">
   <h2>Meine Home Optionen:</h2>
<input tpye="text" name="meinehome" value="<?php echo stripslashes(get_option('fw_meinehome')); ?>" />
   <br/>
Setzt die Gewünschten Kategorien für den Filter der Beiträge auf der Home Seite<br/>
Beispiele:<br/>
<ul>
<li>1 -- zeigt die Beiträge der Kategorie 1 und Subkategorien davon an</li>
<li>1,3 -- zeigt alle Beiträge der Kategorien 1 und 3 an</li>
<li>-4 -- zeigt alle Beiträge der Kategorien außer 4</li>
<li>1,-4 -- zeigt alle Beiträge der Kategorie 1 an, außer der Beitrag ist auch Kategorie 4</li>
</ul>
<br/>
   
   
  </p>
  <p class="submit"><input type="submit" name="submit" id="submit" class="button" value="Speichern"></p>
   </form>
<br/>
   
   </div>
   

<?php	
}
?>
